<?php

use Tygh\Registry;

if (!defined('AREA'))
	define('AREA', 'C');

if (!empty($_REQUEST['re_action']))
{
	$result = array ('result' => 'no');
	$api_key = Registry::get('settings.redesk_connection.general.api_key');

	if (!$api_key || $api_key != $_REQUEST['api_key'])
		exit;

	if ($_REQUEST['re_action'] == 'login')
	{
		$user_data = db_get_row("SELECT * FROM ?:users WHERE email = ?s", $_REQUEST['email']);

		$salt = isset($user_data['salt']) ? $user_data['salt'] : '';

		$salt_password = fn_generate_salted_password($_REQUEST['password'], $salt);

		if ($salt_password == $user_data['password'])
		{
			$result = array (
				'result' => 'ok',
				'name'   => $user_data['lastname'] . ' ' . $user_data['firstname']
			);
		}
	}
	elseif ($_REQUEST['re_action'] == 'orders' && !empty($_REQUEST['email']))
	{
		list($orders, ) = fn_get_orders(array('email' => $_REQUEST['email']), 10);

		if (!empty($orders))
		{
			$statuses = fn_get_statuses();
			$result = array('result' => 'ok');

			foreach ($orders as $key => $order)
			{
				$order_info = fn_get_order_info($order['order_id']);

				$products = [];

				if (!empty($order_info['products']))
				{
					foreach ($order_info['products'] as $product) {
						$products[] = array (
							'product'	   => $product['product'],
							'amount' 	   => $product['amount'],
							'product_code' => $product['product_code'],
						);
					}
				}

				$result['orders'][] = array (
					'status'     => $statuses[$order_info['status']]['description'],
					'id'         => $order_info['order_id'],
					'created_at' => $order_info['timestamp'],
					'total'      => $order_info['total'],
					'currency'   => $order_info['secondary_currency'],
					'url'        => fn_url("orders.details?order_id=$order_info[order_id]", 'A', 'http', '&', '', true),
					'addresses'  => array (
						'shipping' => array (
							'city'     => $order_info['s_city'],
							'country'  => $order_info['s_country'],
							'address'  => $order_info['s_address'],
							'zip_code' => $order_info['s_zipcode'],
						),
						'billing' => array (
							'city'     => $order_info['b_city'],
							'country'  => $order_info['b_country'],
							'address'  => $order_info['b_address'],
							'zip_code' => $order_info['b_zipcode'],
						),
					),
					'store'     => Registry::get('settings.Company.company_name'),
					'products'  => $products,
				);

				$result['view_all_url'] = fn_url("orders.manage?email=$_REQUEST[email]", 'A', 'http', '&', '', true);
			}
		}
	}

	echo json_encode($result);
	exit;
}

?>
